Retrieve All Multi-Document Workflows
Retrieve all available multi-document workflows that can be initiated on a set of documents which:
- The authenticated user has permissions to view or initiate
- Can be initiated through the API
GET
/api/{version}/objects/documents/actionsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
loc | When localized (translated) strings are available, retrieve them by setting loc to true. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v19.3/objects/documents/actionsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"name": "Objectworkflow.clinical_study_report_approval__c",
"label": "Clinical Study Report Approval",
"type": "multidocworkflow"
},
{
"name": "Objectworkflow.medical_docs_review_and_approval__c",
"label": "Medical Docs Review and Approval",
"type": "multidocworkflow"
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, the response lists all available multi-document workflows to initiate on a set of documents. For users without the Workflow: Start permission, the response returns an INSUFFICIENT_ACCESS error.